# Debug VGA param
## Params for custom VGA
Modify file: `sudo nano /boot/config.txt` then restart to apply
dpi_group=2
dpi_mode=87
dpi_timings= xxxx
## Tests:
- 640x480 60Hz : `dpi_timings=640 0 16 96 48 480 0 11 2 31 0 0 0 60 0 25175000 1 `
Visible but only halph of the screen...
- 320x240 60Hz : 'dpi_timings=320 1 12 32 44 240 1 6 10 6 0 0 0 60 0 6400000 1`
Not working

## Resolution:
- 400x234


## Syntax: 
`hdmi_timings=<h_active_pixels> <h_sync_polarity> <h_front_porch> <h_sync_pulse> <h_back_porch> <v_active_lines> <v_sync_polarity> <v_front_porch> <v_sync_pulse> <v_back_porch> <v_sync_offset_a> <v_sync_offset_b> <pixel_rep> <frame_rate> <interlaced> <pixel_freq> <aspect_ratio>`

- <h_active_pixels> = horizontal pixels (width)  
- <h_sync_polarity> = invert hsync polarity  
- <h_front_porch>   = horizontal forward padding from DE acitve edge  
- <h_sync_pulse>    = hsync pulse width in pixel clocks  
- <h_back_porch>    = vertical back padding from DE active edge  
- <v_active_lines>  = vertical pixels height (lines)  
- <v_sync_polarity> = invert vsync polarity  
- <v_front_porch>   = vertical forward padding from DE active edge in horizontal sync pulse 
- <v_sync_pulse>    = vsync pulse width in pixel clocks  
- <v_back_porch>    = vertical back padding from DE active edge in horizontal sync pulse 
- <v_sync_offset_a> = leave at zero  
- <v_sync_offset_b> = leave at zero  
- <pixel_rep>       = leave at zero  
- <frame_rate>      = screen refresh rate in Hz  
- <interlaced>      = leave at zero  
- <pixel_freq>      = clock frequency (width*height*framerate)  
- <aspect_ratio>    = *  

HDMI_ASPECT_4_3 = 1  
HDMI_ASPECT_14_9 = 2  
HDMI_ASPECT_16_9 = 3  
HDMI_ASPECT_5_4 = 4  
HDMI_ASPECT_16_10 = 5  
HDMI_ASPECT_15_9 = 6  
HDMI_ASPECT_21_9 = 7  
HDMI_ASPECT_64_27 = 8  